Class lchange
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.lchange

public class lchange
extends ej
aware of list change
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
lchange(com.cycling74.max.Atom[] mode) create a lchange object

Method Summary
void | anything(String s, com.cycling74.max.Atom[] args) Anything to be test, can be symbol or list...
void | inlet(float f) Float to be tested
void | inlet(int i) Int to be tested
void | set(com.cycling74.max.Atom[] a) Replace the stored "anything" without triggering the output.

Methods inherited from class ej.ej
bang, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
lchange
public lchange(com.cycling74.max.Atom[] mode)

  create a lchange object
  Parameters:
    mode - attribute to set the lchange's behavior (thru, int, bang)

Method Detail
inlet
public void inlet(int i)

  Int to be tested
  Overrides:
    inlet in class ej

inlet
public void inlet(float f)

  Float to be tested
  Overrides:
    inlet in class ej

anything
public void anything(String s,
com.cycling74.max.Atom[] args)

  Anything to be test, can be symbol or list...
  Overrides:
    anything in class ej
  Parameters:
    s - messagename
    args - arguments (optional)

set
public void set(com.cycling74.max.Atom[] a)

  Replace the stored "anything" without triggering the output.

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com